#!/bin/sh

source "./gwyddion-common.sh"

# Exit on error
set -e

# Download
if [ ! -f "$TARBALL" ]
then
	wget "$SOURCES" -O "$TARBALL"
fi

# Cleanup
if [ -d "$PACKAGE" ]
then
	rm -rf "$PACKAGE"
fi

# Extract
tar -xf "$TARBALL"

cd "$PACKAGE"

# Python fixup
for file in $(find . -name '*.py' -print)
do
	sed -i 's_#!.*/usr/bin/python_#!/usr/bin/python2_' "$file"
	sed -i 's_#!.*/usr/bin/env.*python_#!/usr/bin/env python2_' "$file"
done

# Configure
./configure PYTHON=python2

# Build
make PYTHON=python2
